Bug 1236149 - creating a snapshot with force option is no longer useful when one of the node in the cluster is down
Summary: creating a snapshot with force option is no longer useful when one of the nod...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1216951
TreeView+ depends on / blocked
 
Reported: 2015-06-26 17:14 UTC by SATHEESARAN
Modified: 2019-10-16 03:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
If a node/brick is down, the snapshot create command fails even with the force option.
Clone Of:
Environment:
Last Closed: 2018-04-02 13:32:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description SATHEESARAN 2015-06-26 17:14:06 UTC
Description of problem:
-----------------------
Creating a gluster volume level snapshot, while one of the node in the 'Trusted Storage Pool' ( gluster cluster ) is down, does provides the warning that one of the node is down and suggests to use 'force' option to override this behaviour.

But when using 'force' option in creating snapshot again throws the errors out saying that quorum is not met.

Thus the suggestion to create snapshot with force option becomes a wrong suggestion


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
glusterfs-3.7.1-5.el6rhs

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
1. Create a 'Trusted Storage Pool'
2. Create a distributed volume and start it
3. Stop glusterd in one of the node
4. Create snapshot
5. Create snapshot with force option 

Actual results:
---------------
Snapshot create failed and volume snapshot suggested to use 'force' option to override this behaviour.
Using 'force' option again failed saying that quorum is not met

Expected results:
----------------
1. If the snapshot create is not allowed, when one of the node is down, then it should be explicitly informed.
2. Suggestion to use 'force' with snapshot create should be removed

Additional info:
----------------
Below is the console log, where snapshot creation is attempted, when one of the node in the cluster is down.

[root@~]# gluster snapshot create snap1 r3v
snapshot create: failed: One or more bricks are not running. Please run volume status command to see brick status.
Please start the stopped brick and then issue snapshot create command or use [force] option in snapshot create to override this behavior.
Snapshot command failed

[root@ ~]# gluster snapshot create snap1 r3v force
snapshot create: failed: One or more bricks may be down.
Snapshot command failed

Comment 1 monti lawrence 2015-07-22 19:24:52 UTC
Doc text is edited. Please sign off to be included in Known Issues.

Comment 2 Avra Sengupta 2015-07-27 07:17:46 UTC
Doc text looks good. Verified

Comment 7 Sunny Kumar 2018-04-02 13:32:23 UTC
If a node/brick is down, the we can not proceed with snapshot creation and this behavior can not be override with force option.


Note You need to log in before you can comment on or make changes to this bug.